Re: [PATCH v3] generic/299: various fixes

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



On Sun, Dec 14, 2014 at 05:12:21PM -0500, Theodore Ts'o wrote:
> I'm currently a testing a patch which uses "pgrep -f $XFS_IO_PROG"
> instead, but I'm a bit surprised no once else noticed this, I guess
> people aren't building their xfstests test kernels with DM_SNAPSHOP or
> DM_VERITY configured (either of which will seleect DM_BUFIO)?

Ah, right, this hasn't gone upstream yet; I had just pulled it in
because I was seeing the problem with the umount hanging and killing
my test runs.

Anyway, Eryu, I'd suggest you resend your patch with the following
change, which seems to fix things up for me.

And with this patch included, feel free to add:

Reviewed-by: Theodore Ts'o <tytso@xxxxxxx>

	      	       	   	     	 - Ted

diff --git a/tests/generic/299 b/tests/generic/299
index e5de45b..9b99a66 100755
--- a/tests/generic/299
+++ b/tests/generic/299
@@ -138,7 +138,7 @@ _workout()
 	    done
 	    # Following like will check that pid is still run.
 	    # Once fio exit we can stop fallocate/truncate loop
-	    pgrep fio > /dev/null 2>&1 || break
+	    pgrep -f $XFS_IO_PROG > /dev/null 2>&1 || break
 	done
 	wait $pid
 }
--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux